Subject: Re: Executing ssh from perl
From: Stephen Studley <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Thu, 18 Nov 2004 14:31:58 -0800

At 4:30 PM -0500 11/18/04, Igor Pechtchanski wrote:
>On Thu, 18 Nov 2004, Stephen Studley wrote:
>  > At 3:39 PM -0500 11/18/04, Igor Pechtchanski wrote:
>I suppose the next step is to try to reproduce this in a command-line perl
>invocation, e.g., something like
>
>perl -we 'my $str=`ssh -n user\@machine.domain ls`;print "[$str]\n"'

good idea, however same results, at least from my Windows machine.
The command-line perl works fine from my OSX machine.

>and see what messages that produces.  I assume it's working for you from a
>Linux machine...  Also, I don't believe you've said anything about your
>system configuration -- please review <http://cygwin.com/problems.html>
>and provide the requested information.

The machine I'm ssh'ing from is a new Dell PWS 650, Windows XP Pro, 
Version 2002, Service Pack 2. (the sp2 firewall is disabled) I've 
installed the latest Cygwin env.

The remote machines are not quite as new with regard to hardware, 
they are however, running the same OS and cygwin.

Stepehn

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/